﻿.error {
    width: 100%;
    margin-top: .25rem;
    font-size: 12px !important;
    color: #f44336 !important;
}

.form-control.error {
    border-color: #f44336 !important;
    font-size: 15px !important;
}

.form-control {
    font-size: 16px;
    font-weight: 400;
}

.MuiPaper-elevation9 {
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    width: 960px;
    max-width: 960px;
    height: 640px;
    max-height: 640px;
    overflow: hidden;
    border-radius: 10px;
    animation-delay: 1s;
    margin-bottom: 0px;
    box-shadow: 0px 5px 6px -3px rgba(0,0,0,0.2), 0px 9px 12px 1px rgba(0,0,0,0.14), 0px 3px 16px 2px rgba(0,0,0,0.12);
    color: #333;
    transition: box-shadow 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
    background-color: #fff;
    animation-fill-mode: forwards;
    animation-name: bounceInUp;
}

.StructOff {
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    flex-direction: column;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    width: 100%;
    min-height: 100vh;
    padding: 25px 0px;
    background: url(/images/yato-bg.jpg) no-repeat center top fixed;
}

@media(max-width:1023px) {
    .StructOff {
        padding: 0;
    }
}

.StructOff > div {
    display: -webkit-box;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    width: 960px;
    max-width: 960px;
    height: 640px;
    max-height: 560px;
    overflow: hidden;
    border-radius: 10px;
}

@media(max-width:1023px) {
    .StructOff > div {
        width: 320px;
        height: auto;
        border-radius: 0;
    }
}

.StructOff > div > img {
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    width: 523px;
    height: 100%;
}

@media(max-width:1023px) {
    .StructOff > div > img {
        display: none !important;
    }
}

.StructOff > div > div {
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    flex-direction: column;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
    width: calc(100% - 523px);
    padding: 0 55px;
}

@media(max-width:1023px) {
    .StructOff > div > div {
        padding: 40px 25px;
        width: 100%;
    }
}

.StructOff > div > div > img {
    width: 156px;
}

@media(max-width:619px) {
    .StructOff > div {
        margin-bottom: 15px;
        margin-top: 15px;
    }
}

.forgot_pass {
    text-align: center;
    font-size: 90%;
}
body {
    overflow-y: hidden !important;
}
.main-header {
    background: rgb(237,186,255) !important;
    background: linear-gradient(90deg, rgba(237,186,255,1) 0%, rgba(175,152,255,1) 35%, rgba(116,153,255,1) 100%) !important;
}
.main-header .logo img {
    height: 40px;
    width: 100%;
    margin: 0 auto;
    display: block;
}
.current_ip_block {
    margin-top: 6rem;
    text-align: end;
    margin-right: -1rem;
}

.btn-custom_primary {
    color: #fff;
    background-color: #000;
    border-color: #000;
}

    .btn-custom_primary:hover {
        color: #fff;
        background-color: #000;
        border-color: #000;
    }

    .btn-custom_primary:focus,
    .btn-custom_primary.focus {
        box-shadow: 0 0 0 0.2rem #000;
    }

    .btn-custom_primary.disabled,
    .btn-custom_primary:disabled {
        color: #fff;
        background-color: #000;
        border-color: #000;
    }

    .btn-custom_primary:not(:disabled):not(.disabled):active,
    .btn-custom_primary:not(:disabled):not(.disabled).active,
    .show > .btn-custom_primary.dropdown-toggle {
        color: #fff;
        background-color: #000;
        border-color: #000;
    }


.btn-custom_primary,
.btn-outline-custom_primary {
    border-color: #000;
}

    .btn-custom_primary .btn-spinner,
    .btn-outline-custom_primary .btn-spinner {
        -webkit-animation: btn-glow-danger 1s ease infinite;
        animation: btn-glow-danger 1s ease infinite;
    }

    .btn-custom_primary:hover,
    .btn-outline-custom_primary:hover {
        background: #000;
        box-shadow: 0 8px 25px -8px #000;
        border-color: #000;
    }

    .btn-custom_primary:focus,
    .btn-outline-custom_primary:focus {
        box-shadow: none;
        box-shadow: 0 8px 25px -8px #000;
    }
